|  | Home · All Classes · Modules

# QXmlStreamEntityResolver Class Reference
[QtCore module]

The QXmlStreamEntityResolver class provides an entity resolver for a QXmlStreamReader. More...

### Methods

- __init__ (self)
- __init__ (self, QXmlStreamEntityResolver)
- QString resolveUndeclaredEntity (self, QString)

## Detailed Description

The QXmlStreamEntityResolver class provides an entity resolver for a QXmlStreamReader.

## Method Documentation

### QXmlStreamEntityResolver.__init__ (self)

### QXmlStreamEntityResolver.__init__ (self, QXmlStreamEntityResolver)

### QString QXmlStreamEntityResolver.resolveUndeclaredEntity (self, QString)

Resolves the undeclared entity name and returns its replacement text. If the entity is also unknown to the entity resolver, it returns an empty string.

The default implementation always returns an empty string.